/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.media.engine;

import java.util.HashMap;

/**
 * @version <tt>$Revision: 1.3 $</tt>
 * @author <a href="mailto:spyridon_samothrakis@yahoo.com">Spyridon Samothrakis</a>
 */
public interface Media 
{
   public final static int AUDIO = 0;
   public final static int VIDEO = 1;
   
   public String getMediaName();
   public String setMediaName();
   
   public void setPluginGraph();
   public void setTranscoderGraph();
   
   public void startProcessing();
   public void stopProcessing();
   
   public HashMap getMetaData();

}
